﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;
namespace TextNodeSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            propertyEditor1.Diagram = this.diagram1;
        }

        private void Form1_Load(object sender, EventArgs e)
        {            
            TextNode textnode = new TextNode("HI WELCOME",new RectangleF(100,100,100,50));
            textnode.ReadOnly = true;
            textnode.FontStyle.Size = 12;
            textnode.FontStyle.Family = "Times New Roman";
            diagram1.Model.AppendChild(textnode);
            diagram1.View.SelectionList.Clear();
            diagram1.EventSink.NodeDoubleClick += EventSink_NodeDoubleClick;
           
        }


        Node tempnode;
        Form2 form2 = new Form2();
        TextBox text = new TextBox();
        Button button = new Button();
        void EventSink_NodeDoubleClick(NodeMouseEventArgs evtArgs)
        {
            tempnode = evtArgs.Node as Node;
            button.Text = "OK";
            button.Size=new System.Drawing.Size(100,20);
            text.Multiline = true;
            text.Size = new Size(270, 150);
            if (!form2.Controls.Contains(text))
                form2.Controls.Add(text);
            if (!form2.Controls.Contains(button))
                form2.Controls.Add(button);
            form2.Location = new Point((int)diagram1.Controller.MouseLocation.X, (int)diagram1.Controller.MouseLocation.Y);
            text.Location = new Point(0, 0);
            button.Location = new Point(100, 160);
            button.Click += button_Click;
            form2.Show();
        }

        void button_Click(object sender, EventArgs e)
        {
            if (tempnode != null && text != null)
            {
                (tempnode as TextNode).ReadOnly = false;
                (tempnode as TextNode).Text = text.Text;
                (tempnode as TextNode).ReadOnly = true;
                form2.Hide();
            }
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            diagram1.View.ZoomIn();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            diagram1.View.ZoomOut();
        }
    }
}
